Is there a binary gem for fastthread on windows?

gem install fastthread on windows tries to compile with rather 
unpleasant consequences.
I guess fastthread compilation is done with the VC6.0 tools, cause my 
VS2005 installation crashes and burns:

C:\Program Files\Microsoft Visual Studio 8\VC>gem install fastthread
Building native extensions.  This could take a while...
ERROR:  Error installing fastthread:
         ERROR: Failed to build gem native extension.

c:/dev/ruby/bin/ruby.exe extconf.rb install fastthread
creating Makefile

nmake

Microsoft (R) Program Maintenance Utility Version 8.00.50727.762
Copyright (C) Microsoft Corporation.  All rights reserved.

         cl -nologo -I. -Ic:/dev/ruby/lib/ruby/1.8/i386-mswin32 
-Ic:/dev/ruby/lib
/ruby/1.8/i386-mswin32 -I. -MD -Zi -O2b2xg- -G6  -c -Tcfastthread.c
cl : Command line warning D9035 : option 'Og-' has been deprecated and 
will be r
emoved in a future release
cl : Command line warning D9002 : ignoring unknown option '-G6'
fastthread.c
c:\dev\ruby\lib\ruby\1.8\i386-mswin32\config.h(2) : fatal error C1189: 
#error :
  MSC version unmatch
NMAKE : fatal error U1077: '"C:\Program Files\Microsoft Visual Studio 
8\VC\BIN\c
l.EXE"' : return code '0x2'
Stop.

Anyone got an idea?
Cheers,
V.-
-- 
http://www.braveworld.net/riva